Page MenuHomePhabricator

[gn build] Add a TODO.txt file
ClosedPublic

Authored by thakis on Jan 7 2019, 4:45 PM.

Details

Summary

Probably makes sense to keep this in a checked-in file instead of in a file on my local disk.

Diff Detail

Repository
rL LLVM

Event Timeline

thakis created this revision.Jan 7 2019, 4:45 PM
phosek accepted this revision.Jan 7 2019, 7:46 PM

Can we make it .rst or .md so it's formatted nicely when opened e.g. on GitHub?

This revision is now accepted and ready to land.Jan 7 2019, 7:46 PM

I'd prefer to land this as a txt file:

  • rst requires a newline after toplevel list entries to accept nested lists, which makes the txt file less readable
  • md doesn't, but it insists on `` around every string that contains an underscore, else parts of the word become italic

That is, editing the file gets much more annoying, and the file is reasonably readable when rendered as txt too.

Sound ok?

thakis requested review of this revision.Jan 8 2019, 8:19 AM
phosek accepted this revision.Jan 8 2019, 6:39 PM

I'd still prefer Markdown, but I'm also used to writing things in Markdown so I don't see that as a downside personally. However, I think it's a minor thing so I'm not going to push for it ;)

This revision is now accepted and ready to land.Jan 8 2019, 6:39 PM
Closed by commit rL350708: [gn build] Add a TODO.txt file (authored by nico, committed by ). · Explain WhyJan 9 2019, 4:49 AM
This revision was automatically updated to reflect the committed changes.